> ## Documentation Index
> Fetch the complete documentation index at: https://docs.siro.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get an engagement

> Get an engagement



## OpenAPI

````yaml get /v1/integrations/engagements/{id}
openapi: 3.0.0
info:
  version: 1.0.0
  title: Swagger API
servers:
  - url: https://functions.siro.ai/api-externalApi
    description: Siro API external API endpoint
security: []
externalDocs:
  description: View the raw OpenAPI Specification in JSON format
  url: /swagger.json
paths:
  /v1/integrations/engagements/{id}:
    get:
      summary: Get an engagement
      description: Get an engagement
      parameters:
        - schema:
            type: string
          required: true
          name: id
          in: path
      responses:
        '200':
          description: Get an engagement
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  externalId:
                    type: string
                    description: >-
                      The ID of the engagement in the external system (e.g.
                      Salesforce)
                  engagementType:
                    type: string
                    description: The type of the engagement
                  direction:
                    type: string
                    description: '"INBOUND" | "OUTBOUND"'
                  subject:
                    type: string
                    description: The subject of the engagement
                  content:
                    type: string
                    description: The content of the engagement
                  startTime:
                    type: string
                    description: The start time of the engagement
                  startTimeLocalized:
                    type: string
                    description: >-
                      Localized dateTime of the engagement, without timezone
                      info
                  endTime:
                    type: string
                    description: The end time of the engagement
                  createdAt:
                    type: string
                    description: The date the engagement was created
                  updatedAt:
                    type: string
                    description: The date the engagement was last updated
                  recordingId:
                    type: string
                    description: The ID of the recording associated to the engagement
                  opportunityId:
                    type: string
                    description: The ID of the opportunity associated to the engagement
                  accountId:
                    type: string
                  organizationId:
                    type: string
                  account:
                    nullable: true
                  engagementUsers:
                    type: array
                    items:
                      nullable: true
                required:
                  - id
                  - externalId
                  - engagementType
                  - createdAt
                  - updatedAt
                  - organizationId
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Organization API token
      description: >-
        Organization integration token from Siro admin (Person icon → API
        Tokens). Send Authorization: Bearer <organization-api-token>. This is
        not the OAuth access token used with api.siro.ai user-scoped endpoints.
      x-default: <organization-api-token>

````